Skip to main content
GET
/
api
/
v1
/
eval_batch_runs
/
{run_id}
/
results
Get Batch Run Results
import requests

url = "https://www.datalab.to/api/v1/eval_batch_runs/{run_id}/results"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "batch_run": {
    "id": 123,
    "collection_id": 123,
    "eval_rubric_id": 123,
    "pipeline_id": "<string>",
    "pipeline_type": "<string>",
    "status": "<string>",
    "started_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z",
    "total_files": 123,
    "completed_files": 123,
    "avg_score": 123,
    "created": "2023-11-07T05:31:56Z"
  },
  "file_results": [
    {
      "request_id": 123,
      "filename": "<string>",
      "status": "<string>",
      "eval_score": 123,
      "eval_results": {},
      "created": "2023-11-07T05:31:56Z",
      "lookup_key": "<string>"
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Path Parameters

run_id
integer
required

Cookies

wos-session
string
access_token
string
datalab_active_team
string

Response

Successful Response

batch_run
EvalBatchRunResponse · object
required
file_results
BatchRunFileResult · object[]
required